<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>de.naturzukunft</groupId>
		<artifactId>rdf4j-tools</artifactId>
		<version>0.1.16-SNAPSHOT</version>
	</parent>
	<artifactId>vocabulary</artifactId>
	<dependencies>
		<dependency>
			<groupId>com.github.ansell.rdf4j-schema-generator</groupId>
			<artifactId>schema-generator</artifactId>
			<version>0.4.2</version>
		</dependency>
	</dependencies>
	<build>
		<plugins>
			<plugin>
				<groupId>com.github.ansell.rdf4j-schema-generator</groupId>
				<artifactId>schema-generator-maven-plugin</artifactId>
				<version>0.4.2</version>
				<executions>
					<execution>
						<id>generate-schemas</id>
						<phase>generate-sources</phase>
						<goals>
							<goal>generate</goal>
						</goals>
					</execution>
				</executions>
				<configuration>
					<output>${project.build.directory}/generated-sources/schemas</output>
					<packageName>org.linkedopenactors.ns.rdfpub</packageName>					
					<mimeType>text/turtle</mimeType>
					<preferredLanguage>en</preferredLanguage>
					<createResourceBundles>true</createResourceBundles>
					<constantCase>UPPER_UNDERSCORE</constantCase>
					<createStringConstants>true</createStringConstants>
					<stringConstantCase>UPPER_UNDERSCORE</stringConstantCase>
					<stringConstantPrefix>_</stringConstantPrefix>
					<stringConstantSuffix>_STRING</stringConstantSuffix>
					<schemas>
						<schema>
							<className>RDFPUB</className>
							<prefix>http://rdf-pub.org#</prefix>
							<file>src/main/resources/rdf-pub.ttl</file>
						</schema>
						<schema>
							<className>LOA</className>
							<prefix>https://linkedopenactors.org/ns/loa#</prefix>
							<file>src/main/resources/loa.ttl</file>
						</schema>
					</schemas>
				</configuration>
			</plugin>
		</plugins>
	</build>
</project>